%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define busname org.gnome.Photos

Summary:	Access, organize and share your photos
Name:		gnome-photos
Version:	3.24.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
Source0: 	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://www.gnome.org/
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(babl)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(gegl-0.3) >= 0.3.2
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(grilo-0.3)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libgfbgraph-0.2)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(tracker-control-1.0)
BuildRequires:	pkgconfig(tracker-sparql-1.0)
BuildRequires:	pkgconfig(libgdata)
BuildRequires:	pkgconfig(gexiv2)
BuildRequires:	pkgconfig(geocode-glib-1.0)
Requires:	librsvg
Requires:	adwaita-icon-theme

%description
Access, organize and share your photos with GNOME 3.

%prep
%autosetup -p1

%build
%configure2_5x \
	--disable-schemas-compile
%make

%install
%make_install

%find_lang %{name} --with-gnome --with-help
rm -fr %{buildroot}%{_docdir}/*

find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_datadir}/glib-2.0/schemas/org.gnome.photos.gschema.xml
%{_bindir}/%{name}
%{_datadir}/applications/%{busname}.desktop
%{_iconsdir}/*/*/*/*.*
%{_datadir}/appdata/%{busname}.appdata.xml
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/gnome-shell/search-providers/%{busname}.search-provider.ini
%{_libexecdir}/gnome-photos-thumbnailer


%changelog
* Wed May 10 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1100054
- new version 3.24.2

* Tue Apr 11 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096419
- new version 3.24.1

* Wed Mar 22 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094443
- new version 3.24.0

* Tue Mar 07 2017 ovitters <ovitters> 3.22.5-1.mga6
+ Revision: 1089483
- new version 3.22.5

* Thu Feb 16 2017 ovitters <ovitters> 3.22.4-1.mga6
+ Revision: 1086407
- new version 3.22.4

* Tue Jan 03 2017 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1079876
- new version 3.22.3

* Sat Nov 05 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065471
- new version 3.22.2

* Thu Oct 06 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1059196
- new version 3.22.1

* Tue Sep 27 2016 neoclust <neoclust> 3.22.0-2.mga6
+ Revision: 1057060
- Rebuild for armv7

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055701
- new version 3.22.0

* Mon Jun 27 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1037925
- new version 3.20.2

* Wed Apr 13 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1001013
- new version 3.20.1

* Mon Mar 21 2016 tv <tv> 3.20.0-2.mga6
+ Revision: 993691
- bump release

  + ovitters <ovitters>
    - new version 3.20.0

* Fri Mar 18 2016 tv <tv> 3.19.92-1.mga6
+ Revision: 992722
- drop merged patch
- new release

* Wed Mar 02 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 983248
- new version 3.19.91
- new version 3.19.90
- dropped merged patch 2

* Fri Feb 12 2016 luigiwalser <luigiwalser> 3.19.4-2.mga6
+ Revision: 959251
- add patch to fix CVE-2013-7447
- add patch to fix other potential g_malloc issues

* Wed Jan 27 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 928250
- new version 3.19.4
- dropped merged patch 1

* Mon Jan 04 2016 tv <tv> 3.19.3-1.mga6
+ Revision: 919341
- fix build with grilo-0.3
- fix build with grilo-0.3
- bump req on gegl

  + ovitters <ovitters>
    - new version 3.19.3
    - new version 3.19.2
    - new version 3.19.1

* Sun Nov 08 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 899112
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 889933
- new version 3.18.1

* Fri Sep 25 2015 tv <tv> 3.18.0-2.mga6
+ Revision: 883597
- rebuild for new grilo

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882840
- new release

* Tue Sep 08 2015 fwang <fwang> 3.17.2-3.mga6
+ Revision: 874008
- drop unused files

  + tv <tv>
    - rebuild for new libgrilo

* Fri Jul 24 2015 sander85 <sander85> 3.17.2-2.mga6
+ Revision: 856938
- Rebuild for new gnome-desktop3

* Wed Jul 08 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 852880
- new version 3.17.2

* Sat Jun 20 2015 ovitters <ovitters> 3.14.3-1.mga6
+ Revision: 836324
- new version 3.14.3

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796302
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 743190
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 724591
- new version 3.14.0
- new version 3.13.92
- new version 3.13.91

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Wed Jul 23 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 656039
- new version 3.13.4

* Sun May 04 2014 wally <wally> 3.12.1-2.mga5
+ Revision: 619944
- require adwaita-icon-theme instead of old gnome-icon-theme
- clean BRs

* Tue Apr 15 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 615118
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607840
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604409
- new version 3.11.92

* Wed Mar 05 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599973
- new version 3.11.91

* Thu Feb 20 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 595171
- new version 3.11.90

* Thu Feb 06 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 584617
- new version 3.11.5

* Wed Feb 05 2014 ovitters <ovitters> 3.11.4-1.mga5
+ Revision: 583903
- new version 3.11.4

* Wed Nov 20 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 551977
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542211
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497099
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 483916
- new version 3.10.0
- dropped merged patch 1

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480953
- add patch to fix desktop file
- new version 3.9.92

* Mon Sep 02 2013 ennael <ennael> 3.9.91-2.mga4
+ Revision: 474377
- Rebuild against new gnome-desktop3

* Mon Sep 02 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474344
- new version 3.9.91

* Wed Aug 21 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468795
- new version 3.9.90

* Thu Aug 01 2013 dams <dams> 3.9.5.1-1.mga4
+ Revision: 462306
- adds 'grilo-0.2' as BR

  + ovitters <ovitters>
    - new version 3.9.5.1
    - new version 3.9.5

* Fri Jul 26 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458376
- new version 3.9.4

* Mon May 27 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 428692
- imported package gnome-photos

